Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.dao.file
Class FileDAOFactory

    java.lang.Object
      net.sourceforge.pebble.dao.DAOFactory
          net.sourceforge.pebble.dao.file.FileDAOFactory

    public class FileDAOFactory

extends DAOFactory

Represents a strategy used to load and store blog entries in the filing system using an XML format.

Author:
  Simon Brown

Constructor Summary
`FileDAOFactory()` Default, no args constructor.

Method Summary
`BlogEntryDAO` | `getBlogEntryDAO()` Gets a DAO instance responsible for the dao of blog entries.
`CategoryDAO` | `getCategoryDAO()` Gets a DAO instance responsible for the dao of categories.
`RefererFilterDAO` | `getRefererFilterDAO()` Gets a DAO instance responsible for the dao of referer filters.
`StaticPageDAO` | `getStaticPageDAO()` Gets a DAO instance responsible for the dao of static pages.

Methods inherited from class net.sourceforge.pebble.dao.DAOFactory
`getConfiguredFactory, setConfiguredFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileDAOFactory

    public FileDAOFactory()

  Default, no args constructor.

Method Detail

### getBlogEntryDAO

    public BlogEntryDAO getBlogEntryDAO()

  Gets a DAO instance responsible for the dao of blog entries.

  Specified by:
    `getBlogEntryDAO` in class `DAOFactory`
  Returns:
    a BlogEntryDAO instance

### getStaticPageDAO

    public StaticPageDAO getStaticPageDAO()

  Gets a DAO instance responsible for the dao of static pages.

  Specified by:
    `getStaticPageDAO` in class `DAOFactory`
  Returns:
    a StaticPageDAO instance

### getCategoryDAO

    public CategoryDAO getCategoryDAO()

  Gets a DAO instance responsible for the dao of categories.

  Specified by:
    `getCategoryDAO` in class `DAOFactory`
  Returns:
    a CategoryDAO instance

### getRefererFilterDAO

    public RefererFilterDAO getRefererFilterDAO()

  Gets a DAO instance responsible for the dao of referer filters.

  Specified by:
    `getRefererFilterDAO` in class `DAOFactory`
  Returns:
    a RefererFilterDAO instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.